Installing Protege 4.3 in Linux

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Installing Protege 4.3 in Linux

Paulo Picota
Hello friends and Protege experts!

Im attempting to install protege 4.3 

simple steps as follow:

but when i open the .bin file it shows the msg:
"Graphical installers are not supported by the VM. The console mode will be used instead..."
and then it fails to install.. =( 

after some research i found that im missing some specific graphic libraries. Im running Linux Xubuntu with XFCE enviromen 4.8.

What libs am I missing? if theres is need of any other info you need I will be happy to solve this little issue ASAP . =) 

Saludos desde Panama =) 

_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user
Reply | Threaded
Open this post in threaded view
|

Re: Installing Protege 4.3 in Linux

Timothy Redmond

Tania might know something here but at first glance it sounds like you are using a pretty minimal java installation.  (I am guessing that you have openjdk-7-jre-headless or openjdk-6-jre-headless installed).  While I am not sure that I understand what is happening in your case, try

     sudo apt-get install openjdk-7-jdk

This should give you both java and the standard libraries and I think that your installation will work.

-Timothy.



On 04/05/2014 04:02 PM, Paulo Picota wrote:
Hello friends and Protege experts!

Im attempting to install protege 4.3 

simple steps as follow:

but when i open the .bin file it shows the msg:
"Graphical installers are not supported by the VM. The console mode will be used instead..."
and then it fails to install.. =( 

after some research i found that im missing some specific graphic libraries. Im running Linux Xubuntu with XFCE enviromen 4.8.

What libs am I missing? if theres is need of any other info you need I will be happy to solve this little issue ASAP . =) 

Saludos desde Panama =) 


_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user


_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user
Reply | Threaded
Open this post in threaded view
|

Re: Installing Protege 4.3 in Linux

Filipe Santana
It also happened to me.

I tryed using the java jdk from oracle, but it did not work.

The fast and easy choice I made was using the Zip version of Protégé.
It might be easier as you do not need to install anything. Just open the directory in console
and sh ./run.sh

I am having a bad moment with the latest JDK and protegé in Windows and Linux. I really do not know if the problem is due to my configuration,
but sometimes, when I am using HermiT and the ontology has a representative amount of axioms, the protégé console (in windows and linux)
shows a lot of errors. It similarly happened in Ubuntu 12.04 LTS. I have to purge the java instalation in linux (quite easy), but I do not know how
to solve the windows problem.

The Zip version of Protégé is the main choice I take when facing problems and deadlines are approaching.

It should solve your problem with java JDK.

Cheers!

Filipe



Em 05/04/2014 22:28, Timothy Redmond escreveu:

Tania might know something here but at first glance it sounds like you are using a pretty minimal java installation.  (I am guessing that you have openjdk-7-jre-headless or openjdk-6-jre-headless installed).  While I am not sure that I understand what is happening in your case, try

     sudo apt-get install openjdk-7-jdk

This should give you both java and the standard libraries and I think that your installation will work.

-Timothy.



On 04/05/2014 04:02 PM, Paulo Picota wrote:
Hello friends and Protege experts!

Im attempting to install protege 4.3 

simple steps as follow:

but when i open the .bin file it shows the msg:
"Graphical installers are not supported by the VM. The console mode will be used instead..."
and then it fails to install.. =( 

after some research i found that im missing some specific graphic libraries. Im running Linux Xubuntu with XFCE enviromen 4.8.

What libs am I missing? if theres is need of any other info you need I will be happy to solve this little issue ASAP . =) 

Saludos desde Panama =) 


_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user



_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user


_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user
Reply | Threaded
Open this post in threaded view
|

Re: Installing Protege 4.3 in Linux

Timothy Redmond

I am having a bad moment with the latest JDK and protegé in Windows and Linux. I really do not know if the problem is due to my configuration,
but sometimes, when I am using HermiT and the ontology has a representative amount of axioms, the protégé console (in windows and linux)
shows a lot of errors. It similarly happened in Ubuntu 12.04 LTS. I have to purge the java instalation in linux (quite easy), but I do not know how
to solve the windows problem.

If you post these messages to the forum there is a chance that someone will understand what they mean and provide some help.  The best thing to post, if you choose to do that, would be the appropriate log file in the directory ~/.Protege/logs.

We have occasionally in the past had some problems with openjdk as opposed to Oracle's java but my copies of Protege here are running on openjdk and it seems to work.

-Timothy.



On 04/05/2014 06:46 PM, Filipe Santana wrote:
It also happened to me.

I tryed using the java jdk from oracle, but it did not work.

The fast and easy choice I made was using the Zip version of Protégé.
It might be easier as you do not need to install anything. Just open the directory in console
and sh ./run.sh

I am having a bad moment with the latest JDK and protegé in Windows and Linux. I really do not know if the problem is due to my configuration,
but sometimes, when I am using HermiT and the ontology has a representative amount of axioms, the protégé console (in windows and linux)
shows a lot of errors. It similarly happened in Ubuntu 12.04 LTS. I have to purge the java instalation in linux (quite easy), but I do not know how
to solve the windows problem.

The Zip version of Protégé is the main choice I take when facing problems and deadlines are approaching.

It should solve your problem with java JDK.

Cheers!

Filipe



Em 05/04/2014 22:28, Timothy Redmond escreveu:

Tania might know something here but at first glance it sounds like you are using a pretty minimal java installation.  (I am guessing that you have openjdk-7-jre-headless or openjdk-6-jre-headless installed).  While I am not sure that I understand what is happening in your case, try

     sudo apt-get install openjdk-7-jdk

This should give you both java and the standard libraries and I think that your installation will work.

-Timothy.



On 04/05/2014 04:02 PM, Paulo Picota wrote:
Hello friends and Protege experts!

Im attempting to install protege 4.3 

simple steps as follow:

but when i open the .bin file it shows the msg:
"Graphical installers are not supported by the VM. The console mode will be used instead..."
and then it fails to install.. =( 

after some research i found that im missing some specific graphic libraries. Im running Linux Xubuntu with XFCE enviromen 4.8.

What libs am I missing? if theres is need of any other info you need I will be happy to solve this little issue ASAP . =) 

Saludos desde Panama =) 


_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user



_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user



_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user


_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user
Reply | Threaded
Open this post in threaded view
|

Re: Installing Protege 4.3 in Linux

Paulo Picota

Timothy, phillip.. thankx for the quick response. I will try both solutions and let you guys know.

Again thanx

On Apr 5, 2014 9:38 PM, "Timothy Redmond" <[hidden email]> wrote:

I am having a bad moment with the latest JDK and protegé in Windows and Linux. I really do not know if the problem is due to my configuration,
but sometimes, when I am using HermiT and the ontology has a representative amount of axioms, the protégé console (in windows and linux)
shows a lot of errors. It similarly happened in Ubuntu 12.04 LTS. I have to purge the java instalation in linux (quite easy), but I do not know how
to solve the windows problem.

If you post these messages to the forum there is a chance that someone will understand what they mean and provide some help.  The best thing to post, if you choose to do that, would be the appropriate log file in the directory ~/.Protege/logs.

We have occasionally in the past had some problems with openjdk as opposed to Oracle's java but my copies of Protege here are running on openjdk and it seems to work.

-Timothy.



On 04/05/2014 06:46 PM, Filipe Santana wrote:
It also happened to me.

I tryed using the java jdk from oracle, but it did not work.

The fast and easy choice I made was using the Zip version of Protégé.
It might be easier as you do not need to install anything. Just open the directory in console
and sh ./run.sh

I am having a bad moment with the latest JDK and protegé in Windows and Linux. I really do not know if the problem is due to my configuration,
but sometimes, when I am using HermiT and the ontology has a representative amount of axioms, the protégé console (in windows and linux)
shows a lot of errors. It similarly happened in Ubuntu 12.04 LTS. I have to purge the java instalation in linux (quite easy), but I do not know how
to solve the windows problem.

The Zip version of Protégé is the main choice I take when facing problems and deadlines are approaching.

It should solve your problem with java JDK.

Cheers!

Filipe



Em 05/04/2014 22:28, Timothy Redmond escreveu:

Tania might know something here but at first glance it sounds like you are using a pretty minimal java installation.  (I am guessing that you have openjdk-7-jre-headless or openjdk-6-jre-headless installed).  While I am not sure that I understand what is happening in your case, try

     sudo apt-get install openjdk-7-jdk

This should give you both java and the standard libraries and I think that your installation will work.

-Timothy.



On 04/05/2014 04:02 PM, Paulo Picota wrote:
Hello friends and Protege experts!

Im attempting to install protege 4.3 

simple steps as follow:

but when i open the .bin file it shows the msg:
"Graphical installers are not supported by the VM. The console mode will be used instead..."
and then it fails to install.. =( 

after some research i found that im missing some specific graphic libraries. Im running Linux Xubuntu with XFCE enviromen 4.8.

What libs am I missing? if theres is need of any other info you need I will be happy to solve this little issue ASAP . =) 

Saludos desde Panama =) 


_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user



_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user



_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user


_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user


_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user